Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`spread`.`pb`.`RemoteError``

exception documentation

`class RemoteError(Exception): (source)`

Constructor: `RemoteError(remoteType, value, remoteTraceback)`

View In Hierarchy

This class is used to wrap a string-ified exception from the remote side to be able to reraise it. (Raising string exceptions is no longer possible in Python 2.6+)

The value of this exception will be a str() representation of the remote value.

Note
It's not possible to include the remoteTraceback if this exception is thrown into a generator. It must be accessed as an attribute.

Method | `__init__` | Undocumented
Instance Variable | `remoteTraceback` | The remote traceback.
Instance Variable | `remoteType` | The full import path of the exception class which was raised on the remote end.

def __init__(self, remoteType, value, remoteTraceback): (source)

Undocumented

remoteTraceback: `str` = (source)

The remote traceback.

remoteType: `str` = (source)

The full import path of the exception class which was raised on the remote end.